import type { VNode } from 'vue';
import type { TYPES } from '@visactor/vtable';
export type MenuProps = {
    renderMode?: 'canvas' | 'html';
    defaultHeaderMenuItems?: TYPES.MenuListItem[];
    contextMenuItems?: TYPES.MenuListItem[] | ((field: string, row: number, col: number) => TYPES.MenuListItem[]);
    dropDownMenuHighlight?: TYPES.DropDownMenuHighlightInfo[];
};
declare function Menu(props: MenuProps): VNode;
declare namespace Menu {
    var symbol: string;
}
export default Menu;
